* ARM EABI のバージョン [#y9efe99e]

[http://gcc.gnu.org/ gcc] のソースツリーを追っていくと,最新版の gcc では,デフォルトで ARM EABI のバージョンが 5 と設定されている.

ソースをざっくり眺めた限りでは

|gcc version|ARM EABI version|h
|4.2|version 4 のみ|
|4.3|-meabi オプションで version 5 が設定可能.デフォルトは 4|
|4.4|version 5 がデフォルトになる|

こんな感じ.

で,EABI version 4 と version 5 で何が違うのかと,ARM.com のサイトを徘徊するのだけど,さっぱりわからない.
分かったのは,「ABI の最新版は version 5 である」ということだけ.

誰か知ってる人がいたら教えてほしいな.

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS